routes/web.php
<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\ShahrakController;

use App\Http\Controllers\ResidentController;
use App\Http\Controllers\LandController;

use App\Http\Controllers\ApartmentController;
use App\Http\Controllers\DocumentController;
use App\Http\Controllers\PaymentController;
use App\Http\Controllers\UserController;
use App\Http\Controllers\HomeController;
use App\Http\Controllers\RoleController;
use App\Http\Controllers\ReportController;
use Faker\Provider\ar_EG\Payment;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/




Auth::routes();
Route::get('/', [HomeController::class, 'index'])->name('dashboard');
Route::get('/countapartment', [HomeController::class, 'countapartment']);
Route::get('/countland', [HomeController::class, 'countland']);
Route::get('/privateandgovernment', [HomeController::class, 'privateandgovernment']);
Route::resource('resident', ResidentController::class);
Route::resource('land', LandController::class);
Route::resource('apartment', ApartmentController::class);
Route::resource('payment', PaymentController::class);
Route::resource('role', RoleController::class);
Route::resource('user', UserController::class);
Route::resource('document', DocumentController::class);
Route::get('report', [ReportController::class, 'form'])->name('report.form');
Route::post('report', [ReportController::class, 'generate'])->name('report.generate');
Route::resource('shahrak', ShahrakController::class);

app/Models/Resident.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Resident extends Model
{
    use HasFactory;
    use SoftDeletes;

    protected $softDelete = true;

    public function lands()
    {
        return $this->hasMany(Land::class);
    }

    public function apartments()
    {
        return $this->hasMany(Apartment::class);
    }



}

app/Http/Controllers/ResidentController.php
<?php

namespace App\Http\Controllers;

use App\Models\Resident;
use Illuminate\Http\Request;
use Auth;

class ResidentController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        // $this->middleware('guest');
        $this->middleware('auth');
    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        if(!Auth::user()->can('resident_show'))
          return view('user.access');

        $data = Resident::all();
        return view('resident.listresident',['residents' => $data]);

    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create(Request $Request)
    {
      if(!Auth::user()->can('resident_add'))
        return view('user.access');

       return view('resident.addresident');
     }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        if(!Auth::user()->can('resident_add'))
          return view('user.access');

        $request->validate([
            "name" => "required",
            "f_name" => "required",
            "gf_name" => "required",
            // "page" => "required",
            // "book" => "required",
            "tazkira" => "required|min:3 ",
            "province" => "required",
            "district" => "required",
            "village" => "required"

        ]);


        $Resident = new Resident;
            $Resident->name = $request->name;
            $Resident->father_name = $request->f_name;
            $Resident->grandfather_name = $request->gf_name;
            $Resident->NIC = $request->tazkira;
            $Resident->book = $request->book;
            $Resident->page = $request->page;
            $Resident->province = $request->province;
            $Resident->district = $request->district;
            $Resident->village = $request->village;
       $Resident->save();
       return redirect()->route('resident.index')->with('message', ''.$request->name.'Resident added succssfully');
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\Resident  $resident
     * @return \Illuminate\Http\Response
     */
    public function show(Resident $resident)
    {
        if(!Auth::user()->can('resident_show'))
          return view('user.access');

        return view('resident.show',compact('resident'));

    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\Resident  $resident
     * @return \Illuminate\Http\Response
     */
    public function edit(Resident $resident)
    {
        if(!Auth::user()->can('resident_edit'))
          return view('user.access');

        return view('resident.edit', compact('resident'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\Resident  $resident
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Resident $resident)
    {

      if(!Auth::user()->can('resident_edit'))
        return view('user.access');

        $request->validate([
            "name" => "required",
            "f_name" => "required",
            "gf_name" => "required",
            // "page" => "required",
            // "book" => "required",
            "tazkira" => "required|min:3 ",
            "province" => "required",
            "district" => "required",
            "village" => "required"

        ]);
        $resident = Resident::find($resident->id);
        $resident->name = $request->name;
        $resident->father_name = $request->f_name;
            $resident->grandfather_name = $request->gf_name;
            $resident->NIC = $request->tazkira;
            $resident->book = $request->book;
            $resident->page = $request->page;
            $resident->province = $request->province;
            $resident->district = $request->district;
            $resident->village = $request->village;
       $resident->save();
       return redirect()->route('resident.index')->with('message', ''.$request->name.'Resident updated succssfully');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\Resident  $resident
     * @return \Illuminate\Http\Response
     */
    public function destroy(Resident $resident)
    {
        if(!Auth::user()->can('resident_delete'))
          return view('user.access');

        $resident->delete();
        return redirect()->route('resident.index')->with('message',  __('general.record_deleted'));

    }
}

resources/views/resident/addresident.blade.php
@extends('app')

@section('page_title',__('general.add_resident'))

@section('body')
       <div class="card card-secondary">
            <div class="card-header">
              <h3 class="card-title rtl">{{__('general.add_resident')}}</h3>
            </div>

            <div class="card-body">
              <form action="{{ route('resident.store') }}" method="POST">
                @csrf
                <div class="row">
                  <div class="form-group col-sm-6">
                      <label for="exampleInputEmail1">{{__('general.name')}}<span class="text-danger"> * </span></label>
                      <input value="{{ old('name') }}" type="text" name="name" class="form-control" id="exampleInputEmail1" placeholder="Enter Name">
                      @error('name')
                        <span style="color: red;">*  {{ $message }} </span>
                      @enderror
                  </div>
                    <div class="form-group col-sm-6">
                      <label for="exampleInputEmail1">{{__('general.father_name')}}<span class="text-danger"> * </span></label>
                      <input value="{{ old('f_name') }}" type="text" class="form-control" id="exampleInputEmail1" placeholder="Enter Father Name" name="f_name">
                      @error('f_name')
                        <span style="color: red;">*  {{ $message }} </span>
                      @enderror
                    </div>
                    <div class="form-group col-sm-12">
                      <label for="exampleInputEmail1">{{__('general.grandfather_name')}}<span class="text-danger"> * </span></label>
                      <input value="{{ old('gf_name') }}" type="text" class="form-control" id="exampleInputEmail1" placeholder="Enter Garand Father Name" name="gf_name">
                      @error('gf_name')
                      <span style="color: red;">*  {{ $message }} </span>
                      @enderror
                    </div>
                    <div class="form-group col-sm-4">
                      <label for="exampleInputEmail1">{{__('language.NIC')}}<span class="text-danger"> * </span></label>
                      <input value="{{ old('tazkira') }}" type="number" class="form-control" id="exampleInputEmail1" placeholder="Enter NIC" name="tazkira">
                      @error('tazkira')
                      <span style="color: red;">*  {{ $message }} </span>
                      @enderror
                    </div>
                    <div class="form-group col-sm-4">
                      <label for="exampleInputEmail1">{{__('language.Book')}}</label>
                      <input value="{{ old('book') }}" type="number" class="form-control" id="exampleInputEmail1" placeholder="Enter Book" name="book">
                     @error('book')
                      <span style="color: red;">*  {{ $message }} </span>
                      @enderror
                    </div>
                    <div class="form-group col-sm-4">
                      <label for="exampleInputEmail1">{{__('language.Page')}}</label>
                      <input value="{{ old('f_name') }}" type="number" class="form-control" id="exampleInputEmail1" placeholder="Enter Page" name="page">
                     @error('page')
                      <span style="color: red;">*  {{ $message }} </span>
                      @enderror
                    </div>
                    <div class="row">
                      <div class="col-md-12">
                        <label for="exampleInputEmail1">{{__('general.main_address')}}</label>
                      </div>
                      <div class="form-group col-md-4">
                        <label for="exampleInputEmail1">{{__('language.province')}}<span class="text-danger"> * </span></label>
                        <input value="{{ old('province') }}" type="text" class="form-control" id="exampleInputEmail1" placeholder="Enter province" name="province">
                        @error('province')
                        <span style="color: red;">*  {{ $message }} </span>
                        @enderror
                      </div>


                      <div class="form-group col-md-4">
                        <label for="exampleInputEmail1">{{__('language.District')}}<span class="text-danger"> * </span></label>
                        <input value="{{ old('district') }}" type="text" class="form-control" id="exampleInputEmail1" placeholder="Enter district" name="district">
                        @error('district')
                        <span style="color: red;">*  {{ $message }} </span>
                        @enderror
                      </div>


                      <div class="form-group col-md-4">
                        <label for="exampleInputEmail1">{{__('language.Village')}}<span class="text-danger"> * </span></label>
                        <input value="{{ old('village') }}" type="text" class="form-control" id="exampleInputEmail1" placeholder="Enter Village" name="village">
                        @error('village')
                        <span style="color: red;">*  {{ $message }} </span>
                        @enderror
                      </div>
                    </div>

                  </div>
                  <button type="submit" class="btn btn-info btn-flat">{{__('general.add_resident')}}</button>
              </form>
            </div>
            <!-- /.card-body -->
          </div>
        </div>
@endsection

resources/views/resident/edit.blade.php
@extends('app')

@section('page_title',__('general.edit_resident'))

@section('body')
       <div class="card card-secondary">
            <div class="card-header">
              <h3 class="card-title rtl">{{__('general.edit_resident')}}</h3>
            </div>

            <div class="card-body">

              <form action="{{ route('resident.update', $resident->id) }}" method="POST">
                @csrf
                @method('PUT')
                <div class="row">
                  <div class="form-group col-sm-6">
                      <label for="exampleInputEmail1">{{__('language.Name')}}<span class="text-danger"> * </span></label>
                      <input value="{{ $resident->name }}" type="text" name="name" class="form-control" id="exampleInputEmail1" placeholder="Enter Name">
                      @error('name')
                <span style="color: red;">*  {{ $message }} </span>
                @enderror
                    </div>
                    <div class="form-group col-sm-6">
                      <label for="exampleInputEmail1">{{__('language.FatherName')}}<span class="text-danger"> * </span></label>
                      <input value="{{ $resident->father_name }}" type="text" class="form-control" id="exampleInputEmail1" placeholder="Enter Father Name" name="f_name">
                      @error('f_name')
                      <span style="color: red;">*  {{ $message }} </span>
                      @enderror
                    </div>
                    <div class="form-group col-sm-12">
                      <label for="exampleInputEmail1">{{__('language.GrandfatherName')}}<span class="text-danger"> * </span></label>
                      <input value="{{ $resident->grandfather_name }}" type="text" class="form-control" id="exampleInputEmail1" placeholder="Enter Garand Father Name" name="gf_name">
                      @error('gf_name')
                      <span style="color: red;">*  {{ $message }} </span>
                      @enderror
                    </div>
                    <div class="form-group col-sm-4">
                      <label for="exampleInputEmail1">{{__('language.NIC')}}<span class="text-danger"> * </span></label>
                      <input value="{{ $resident->NIC }}" type="text" class="form-control" id="exampleInputEmail1" placeholder="Enter NIC" name="tazkira">
                      @error('tazkira')
                      <span style="color: red;">*  {{ $message }} </span>
                      @enderror
                    </div>
                    <div class="form-group col-sm-4">
                      <label for="exampleInputEmail1">{{__('language.Book')}}</label>
                      <input value="{{ $resident->book }}" type="text" class="form-control" id="exampleInputEmail1" placeholder="Enter Book" name="book">
                     @error('book')
                      <span style="color: red;">*  {{ $message }} </span>
                      @enderror
                    </div>
                    <div class="form-group col-sm-4">
                      <label for="exampleInputEmail1">{{__('language.Page')}}</label>
                      <input value="{{ $resident->page }}" type="text" class="form-control" id="exampleInputEmail1" placeholder="Enter Page" name="page">
                     @error('page')
                      <span style="color: red;">*  {{ $message }} </span>
                      @enderror
                    </div>
                    <div class="form-group col-sm-6">
                      <label for="exampleInputEmail1">{{__('language.province')}}<span class="text-danger"> * </span></label>
                      <input value="{{ $resident->province }}" type="text" class="form-control" id="exampleInputEmail1" placeholder="Enter province" name="province">
                     @error('province')
                      <span style="color: red;">*  {{ $message }} </span>
                      @enderror
                    </div>
                    <div class="form-group col-sm-6">
                      <label for="exampleInputEmail1">{{__('language.District')}}<span class="text-danger"> * </span></label>
                      <input value="{{ $resident->district }}" type="text" class="form-control" id="exampleInputEmail1" placeholder="Enter district" name="district">
                     @error('district')
                      <span style="color: red;">*  {{ $message }} </span>
                      @enderror
                    </div>
                    <div class="form-group col-sm-12">
                      <label for="exampleInputEmail1">{{__('language.Village')}}<span class="text-danger"> * </span></label>
                      <input value="{{ $resident->village }}" type="text" class="form-control" id="exampleInputEmail1" placeholder="Enter Village" name="village">
                     @error('village')
                      <span style="color: red;">*  {{ $message }} </span>
                      @enderror
                    </div>
                    <button type="submit" class="btn btn-info btn-flat">{{__('general.add_resident')}}</button>
                    <div class="card-footer">                    </div>
                  </div>
              </form>
            </div>
            <!-- /.card-body -->
          </div>
        </div>
@endsection

resources/views/resident/listresident.blade.php
@extends('app')

@section('page_title',__('general.resident_list'))

@section('body')
@if ($message = session('message'))
<div class="callout callout-success">
  <p class="text-success">
    <b><i class="fas fa-info"></i></b> {{ $message }}
  </p>
</div>
@endif


<section class="content">
  <div class="container-fluid">
    <div class="row">
      <div class="col-12">

        <!-- /.card -->

        <div class="card">

          <div class="card-body">
            <table id="example1" class="table table-bordered table-striped" style="width: 100%;">
              <thead>
              <tr>
                <th>{{__('general.name')}} </th>
                <th>{{__('general.father_name')}} </th>
                <th>{{__('general.grandfather_name')}} </th>
                <th>{{__('general.NIC')}} </th>
                <th>{{__('general.province')}} </th>
                <th>{{__('general.district')}}</th>
                <th>{{__('general.options')}}</th>
              </tr>
              </thead>
              <tbody>
                  @foreach ($residents as $item)
                      <tr>
                          <td>
                              {{ $item['name'] }}
                          </td>
                          <td>
                              {{ $item['father_name'] }}
                          </td>
                          <td>
                              {{ $item['grandfather_name'] }}
                          </td>

                          <td>
                              {{ $item['NIC'] }}
                          </td>
                          <td>
                            {{ $item['province'] }}
                          </td>
                          <td>
                            {{ $item['district'] }}
                          </td>
                          <td>
                            <a class="btn btn-info btn-xs" href="{{ route('resident.show',$item->id)}}">{{__('general.view')}} </a>

                            <a class="btn btn-primary btn-xs" href="{{ route('resident.edit',$item->id)}}">{{__('general.edit')}}</a>

                            <a class="btn btn-danger btn-xs" onclick="confirmDelete({{ $item->id }})" href="#">{{__('general.delete')}}</a>

                            <form id="delete{{$item->id}}" action="{{ route('resident.destroy', $item->id)}}" method="post">
                              @csrf
                              @method('DELETE')
                            </form>


                          </td>
                      </tr>
                  @endforeach
              </tbody>
            </table>
          </div>
          <!-- /.card-body -->
        </div>
        <!-- /.card -->
      </div>
      <!-- /.col -->
    </div>
    <!-- /.row -->
  </div>
  <!-- /.container-fluid -->
</section>

@endsection



@pushOnce('datatables-script')
<script src="{{ asset('/plugins/datatables/jquery.dataTables.min.js') }}"></script>
<script src="{{ asset('/plugins/datatables-bs4/js/dataTables.bootstrap4.min.js') }}"></script>
<script src="{{ asset('/plugins/datatables-responsive/js/dataTables.responsive.min.js') }}"></script>
<script src="{{ asset('/plugins/datatables-responsive/js/responsive.bootstrap4.min.js') }}"></script>
<script src="{{ asset('/plugins/datatables-buttons/js/dataTables.buttons.min.js') }}"></script>
<script src="{{ asset('/plugins/datatables-buttons/js/buttons.bootstrap4.min.js') }}"></script>
<script src="{{ asset('/plugins/jszip/jszip.min.js') }}"></script>
<script src="{{ asset('/plugins/pdfmake/pdfmake.min.js') }}"></script>
<script src="{{ asset('/plugins/pdfmake/vfs_fonts.js') }}"></script>
<script src="{{ asset('/plugins/datatables-buttons/js/buttons.html5.min.js') }}"></script>
<script src="{{ asset('/plugins/datatables-buttons/js/buttons.print.min.js') }}"></script>
<script src="{{ asset('/plugins/datatables-buttons/js/buttons.colVis.min.js') }}"></script>


<script>
  $(function () {
  $("#example1").DataTable({
    "responsive": true, "lengthChange": false, "autoWidth": false,
    // "buttons": ["copy", "csv", "excel", "pdf", "print", "colvis"]
  }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
  $('#example2').DataTable({
    "paging": true,
    "lengthChange": false,
    "searching": false,
    "ordering": true,
    "info": true,
    "autoWidth": false,
    "responsive": true,
  });
});

</script>

<script>
function confirmDelete(id) {
  let text = 'آیا مطمین استید تا این ریکارد حذف شود؟';
  if (confirm(text) == true) {
    $('form#delete'+id).submit();

  } else {
    alert('ریکارد حذف نشد.');
  }

}
</script>
@endpushOnce

resources/views/resident/show.blade.php
@extends('app')

@section('page_title',__('general.resident_show'))

@section('body')
@if ($message = session('message'))
<div class="callout callout-success">
  <p class="text-success">
    <b><i class="fas fa-info"></i></b> {{ $message }}
  </p>
</div>
@endif


<section class="content">
  <div class="container-fluid">
    <div class="row">
      <div class="col-12">

        <!-- /.card -->

        <div class="card">
          <div class="card-body">
            <div class="row">
              <div class="col-md-6">
                <table class="table table-sm table-bordered" >
                  <h5>{{__('general.resident_info')}}</h5>
                  <tbody>
                    <tr>
                      <th>
                      {{__('general.name')}}
                      </th>
                      <td>
                        {{ $resident->name}}
                      </td>
                    </tr>
                    <tr>
                      <th>
                        {{__('general.father_name')}}
                      </th>
                      <td>
                        {{ $resident->father_name}}
                      </td>
                    </tr>
                    <tr>
                      <th>
                        {{__('general.grandfather_name') }}
                      </th>
                      <td>
                        {{ $resident->grandfather_name }}
                      </td>
                    </tr>
                    <tr>
                      <th>
                        {{__('general.NIC')}}
                      </th>
                      <td>
                        {{ $resident->NIC }}
                      </td>
                    </tr>
                    <tr>
                      <th>
                        {{__('language.Book')}}
                      </th>
                      <td>
                        {{ $resident->book }}
                      </td>
                    </tr>
                    <tr>
                      <th>
                        {{__('language.Page')}}
                      </th>
                      <td>
                        {{ $resident->page }}
                      </td>
                    </tr>
                    <tr>
                      <th>
                        {{__('general.province')}}
                      </th>
                      <td>
                        {{ $resident->province }}
                      </td>
                    </tr>
                    <tr>
                      <th>
                        {{__('general.district')}}
                      </th>
                      <td>
                        {{ $resident->district}}
                      </td>
                    </tr>
                    <tr>
                      <th>
                        {{__('general.village')}}
                      </th>
                      <td>
                        {{ $resident->village}}
                      </td>
                    </tr>

                  </tbody>
                </table>
              </div>
              <div class="col-md-6">
                <h5>{{__('general.resident_property')}}</h5>
                <table class="table table-sm table-bordered" >
                  <thead>
                    <tr>
                      <th>
                        {{__('general.type')}}
                      </th>
                      <th>
                        {{__('general.land_apt_no')}}
                      </th>
                      <th>
                        {{__('general.persentage')}}
                      </th>
                      <th>
                        {{__('general.net_amount')}}
                      </th>
                    </tr>
                  </thead>
                  <tbody>
                    @foreach($resident->lands as $land)
                      <tr>
                        <td>
                          {{__('general.is_land')}}
                        </td>
                        <td>
                          {{ $land->land_no}}
                        </td>
                        <td>
                          {{ $land->percentage }}
                        </td>
                        <td>
                          {{ $land->net_amount.' '.__('general.afn') }}
                        </td>
                      </tr>
                    @endforeach
                    @foreach($resident->apartments as $apt)
                      <tr>
                        <td>
                          {{__('general.is_apartment')}}
                        </td>
                        <td>
                          {{ $apt->apartment_no}}
                        </td>
                        <td>
                          {{ $apt->percentage }}
                        </td>
                        <td>
                          {{ $apt->net_amount.' '.__('general.afn') }}
                        </td>
                      </tr>
                    @endforeach
                  </tbody>
                </table>
              </div>
            </div>

          </div>
          <!-- /.card-body -->
        </div>
        <!-- /.card -->
      </div>
      <!-- /.col -->
    </div>
    <!-- /.row -->
  </div>
  <!-- /.container-fluid -->
</section>

@endsection